import { networkRegistry as e } from "../../constants/chains.constants.mjs";
import { ExternalActionId as t } from "../../types/external-action.types.mjs";
//#region libs/shared/common/src/functions/pre-transaction/getExternalSwapAddress.ts
var n = (n, r) => {
	let { contractData: i } = e[n], a;
	switch (r) {
		case t.Uniswap:
			a = i?.uniswapExternalActionAddress;
			break;
		case t.Odos:
			a = i?.odosExternalActionInstanceAddress;
			break;
		case t.OneInch:
			a = i?.oneInchExternalActionInstanceAddress;
			break;
		case t.Lifi:
			a = i?.hinkalAddress;
			break;
		default:
			a = i?.uniswapExternalActionAddress;
			break;
	}
	if (!a) throw Error("No external Address set during swap");
	return a;
};
//#endregion
export { n as getExternalSwapAddress };
